PHP/MySQL book

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

I've dabbled a little in PHP and MySQL, but now I'd like to buy a book.
I've pretty much decided on "PHP and MySQL Web Development" by Thomson
and Welling, and it seems sensible to buy the latest (3rd) edition.

But I see that the 3rd edition covers PHP5 and MySQL5. The server I
would be writing for is running version 4 of both. Would it be a bad
move to buy the 3rd edition of the book, or would I not have any
problems learning to write for PHP 4 and MySQL 4 from it?
Steve Loft

Re: PHP/MySQL book

Hi, are you restricted to using PHP 4?  If not, then I would recommend
upgrading to PHP 5 if you plan to use the book.  Lastly, you should be
OK with MySQL 4 in regards to this book.

Good luck,


Re: PHP/MySQL book

Con wrote:
Quoted text here. Click to load it

Well, my hosting provider is running PHP 4 and I can't see them
upgrading any time soon. But I've asked them what their plans are. Are
many sites running PHP 5 yet?
Steve Loft

Site Timeline